Login
Newsletter
Werbung

Sicherheit: Zwei Probleme in python
Aktuelle Meldungen Distributionen
Name: Zwei Probleme in python
ID: openSUSE-SU-2020:0696-1
Distribution: SUSE
Plattformen: SUSE openSUSE Leap 15.1
Datum: Sa, 23. Mai 2020, 10:06
Referenzen: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-9674
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-18348
Applikationen: Python

Originalnachricht

   openSUSE Security Update: Security update for python
______________________________________________________________________________

Announcement ID: openSUSE-SU-2020:0696-1
Rating: moderate
References: #1155094 #1162825
Cross-References: CVE-2019-18348 CVE-2019-9674
Affected Products:
openSUSE Leap 15.1
______________________________________________________________________________

An update that fixes two vulnerabilities is now available.

Description:

This update for python fixes the following issues:

Security issues fixed:

- CVE-2019-18348: Fixed a CRLF injection via the host part of the url
passed to urlopen(). Now an InvalidURL exception is raised (bsc#1155094).
- CVE-2019-9674: Improved the documentation to reflect the dangers of
zip-bombs (bsc#1162825).

This update was imported from the SUSE:SLE-15:Update update project.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 15.1:

zypper in -t patch openSUSE-2020-696=1



Package List:

- openSUSE Leap 15.1 (i586 x86_64):

libpython2_7-1_0-2.7.17-lp151.10.17.1
libpython2_7-1_0-debuginfo-2.7.17-lp151.10.17.1
python-2.7.17-lp151.10.17.1
python-base-2.7.17-lp151.10.17.1
python-base-debuginfo-2.7.17-lp151.10.17.1
python-base-debugsource-2.7.17-lp151.10.17.1
python-curses-2.7.17-lp151.10.17.1
python-curses-debuginfo-2.7.17-lp151.10.17.1
python-debuginfo-2.7.17-lp151.10.17.1
python-debugsource-2.7.17-lp151.10.17.1
python-demo-2.7.17-lp151.10.17.1
python-devel-2.7.17-lp151.10.17.1
python-gdbm-2.7.17-lp151.10.17.1
python-gdbm-debuginfo-2.7.17-lp151.10.17.1
python-idle-2.7.17-lp151.10.17.1
python-tk-2.7.17-lp151.10.17.1
python-tk-debuginfo-2.7.17-lp151.10.17.1
python-xml-2.7.17-lp151.10.17.1
python-xml-debuginfo-2.7.17-lp151.10.17.1

- openSUSE Leap 15.1 (x86_64):

libpython2_7-1_0-32bit-2.7.17-lp151.10.17.1
libpython2_7-1_0-32bit-debuginfo-2.7.17-lp151.10.17.1
python-32bit-2.7.17-lp151.10.17.1
python-32bit-debuginfo-2.7.17-lp151.10.17.1
python-base-32bit-2.7.17-lp151.10.17.1
python-base-32bit-debuginfo-2.7.17-lp151.10.17.1

- openSUSE Leap 15.1 (noarch):

python-doc-2.7.17-lp151.10.17.1
python-doc-pdf-2.7.17-lp151.10.17.1


References:

https://www.suse.com/security/cve/CVE-2019-18348.html
https://www.suse.com/security/cve/CVE-2019-9674.html
https://bugzilla.suse.com/1155094
https://bugzilla.suse.com/1162825

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung